Page MenuHomeFreeBSD

net/zerotier: update to 1.2.8
ClosedPublic

Authored by dch on Apr 19 2018, 7:25 AM.
Tags
None
Referenced Files
Unknown Object (File)
May 18 2024, 11:13 AM
Unknown Object (File)
May 5 2024, 2:48 PM
Unknown Object (File)
May 4 2024, 3:22 PM
Unknown Object (File)
Apr 25 2024, 10:48 PM
Unknown Object (File)
Apr 25 2024, 10:48 PM
Unknown Object (File)
Apr 25 2024, 9:58 PM
Unknown Object (File)
Apr 25 2024, 9:57 PM
Unknown Object (File)
Apr 25 2024, 9:57 PM
Subscribers

Details

Summary
Test Plan

This passes poudriere on i386+amd64 for 11.1R, 11.2B1, and 12.0-CURRENT amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Sounds good. I put it through 10/11 i386/amd64 and they all passed without warnings. Let us know when you are satisfied with your tests.

Makefile
5 ↗(On Diff #41649)

DISTVERSION ?

This revision is now accepted and ready to land.May 14 2018, 4:47 PM

net/zerotier: update 1.2.4 to 1.2.8

This passes poudriere on i386+amd64 for 11.1R, 11.2B1, and 12.0-CURRENT amd64

This revision now requires review to proceed.May 18 2018, 11:21 AM
dch retitled this revision from net/zerotier: update to 1.2.6 to net/zerotier: update to 1.2.8.May 18 2018, 11:23 AM
dch edited the summary of this revision. (Show Details)
dch edited the test plan for this revision. (Show Details)
dch marked an inline comment as done.
Makefile
26 ↗(On Diff #42691)

Note that an option named DEBUG will also enable WITH_DEBUG, and make the package not stripped, and with .debug_info. (so much much larger.)

28 ↗(On Diff #42691)

Why +=?

dch edited the summary of this revision. (Show Details)

Clean up DEBUG option handling

  • s/DEBUG/DBG/ to avoid unanticipated side effects of WITH_DEBUG
  • remove +=
dch marked 2 inline comments as done.May 18 2018, 10:31 PM
dch added inline comments.
Makefile
26 ↗(On Diff #42691)

thanks - unexpected sideeffect. I've switched this for DBG_* I assume that's fine?

This revision is now accepted and ready to land.May 18 2018, 11:37 PM
This revision was automatically updated to reflect the committed changes.
dch marked an inline comment as done.